﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ServiceTrackerLogic;

namespace ServiceTrackerPresenter
{
	public class AddAccountPresenter
	{
		public AddAccountPresenter(IAddAccountView view) 
		{
			view.AccountReadyForCreation += new AddAccountViewEventDelegate(view_AccountReadyForCreation);
		}

		void view_AccountReadyForCreation(object sender, IAddAccountView view)
		{
			Accounts.AccountStore.Add(Account.CreateAccount(view));
			view.Close();
		}
	}
}
